> ## Documentation Index
> Fetch the complete documentation index at: https://docs.imperial.gay/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Restore

> Restore multiple uploads from Trash

## Request

### Headers

<ParamField header="Authorization" type="string" required>
  Your API key in the format: `Bearer imperial_live_xxxxxxxxxxxxx`
</ParamField>

### Body

<ParamField body="ids" type="string[]" required>
  Array of upload IDs to restore
</ParamField>

## Response

<ResponseField name="updated" type="number">
  Number of uploads restored
</ResponseField>

## Example

```bash theme={null}
curl -X POST "https://api.imperial.gay/images/bulk-restore" \
  -H "Authorization: Bearer imperial_live_xxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{ "ids": ["6987cd047baba11ee0f66d98"] }'
```
